YepAPI
Email API

Phone Finder

Find a contact's phone number from an email address, domain, or LinkedIn profile — with formats, line type, and timezone.

POST/v1/email/phone-finder
$0.05/call

Usage

const res = await fetch('https://api.yepapi.com/v1/email/phone-finder', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ email: '[email protected]' }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/email/phone-finder \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"email": "[email protected]"}'

Request Body

Provide exactly one of email, domain, or linkedin.

ParameterTypeRequiredDescriptionDefault
emailstringOne ofEmail address to find a phone number for
domainstringOne ofCompany domain to find a phone number for
linkedinstringOne ofLinkedIn profile URL to find a phone number for

Response

{
  "data": {
    "carrier": null,
    "countryCode": "US",
    "domain": "stripe.com",
    "e164Format": "+13015882564",
    "email": "[email protected]",
    "intlFormat": "+1 301-588-2564",
    "lineType": "FIXED_LINE_OR_MOBILE",
    "localFormat": "(301) 588-2564",
    "timezones": [
      "America/New_York"
    ],
    "valid": true
  },
  "ok": true
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.validbooleanWhether the phone number found is valid
data.e164FormatstringNumber in E.164 format (e.g., +13015882564)
data.intlFormatstringNumber in international display format
data.localFormatstringNumber in national/local display format
data.countryCodestringISO country code of the number
data.lineTypestringLine type (e.g., FIXED_LINE_OR_MOBILE, MOBILE)
data.carrierstring | nullCarrier name, when known
data.timezonesstring[]IANA timezones associated with the number
data.emailstring | nullThe email the lookup was based on, when provided
data.domainstring | nullThe domain associated with the contact
Under the Hood

Use timezones to schedule calls at a reasonable local hour. To validate a number you already have, use the cheaper Phone Validator.

On this page